vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=233233

php5 incompatability ?
by majorj0nny
15 Jan 2010 23:19

hi all - we use a staffpage mod for vbadvanced on our 3.8.4 vb forum, and have done for some years, ive used the basic mod to create other similar pages - ie for tagged members and clans ect..

last night our hosting apparently did some kind of a server upgrade , since then everything still works except any pages using a module that uses on of these 3 php files..

php file example -


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

nothing has changed with these files - but they just dont work anymore..

ive asked our hosting and they say it might be a php5 incompatability ?

Lynne 15 Jan 2010 23:23

What errors are you getting? I seem to recall having to change the syntax in a couple of my queries when upgrading. I don't remember what else but I would guess there are probably threads about it on here or on vb.com if you do a search.

BBR-APBT 15 Jan 2010 23:27

The following code is no longer used in vb4.0

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Refer To: http://www.vbulletin.org/forum/showthread.php?t=228078

majorj0nny 16 Jan 2010 09:20

Quote:

Originally Posted by BBR-APBT (Post 1956892)
The following code is no longer used in vb4.0

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Refer To: http://www.vbulletin.org/forum/showthread.php?t=228078

Im running vb 3.8.4 currently and this error cropped up when the hosting company did some updates (outside of VB) to the server ... the actual version of VB im using aint changed from the one that was using these php scripts just fine a day before the update.

--------------- Added 16 Jan 2010 at 09:22 ---------------

Quote:

Originally Posted by Lynne (Post 1956888)
What errors are you getting? I seem to recall having to change the syntax in a couple of my queries when upgrading. I don't remember what else but I would guess there are probably threads about it on here or on vb.com if you do a search.

it just shows a blank browser page saying

"Internet Explorer cannot display the webpage"

if I remove the modules connection to the problem php file the page displays just fine (minus the module content I need obviously).

its nothing wrong with vbadvanced as other pages that dont use these staffpage phps work just fine ..

Paul M 16 Jan 2010 10:56

Have you got error reporting turned on in php ?



BTW, you posted this in the vb4 section, from reading this it should be in vb3, moved

Lynne 16 Jan 2010 17:40

As Paul suggested, take a look at your error_logs. I know when I did the upgrade, the errors showed up in there.


All times are GMT. The time now is 23:53.

Powered by vBulletin® Version 3.8.14
Copyright © 2020, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.